Annuler l'envoi
POST
/v1/operations/{operation_id}/cancelAnnule l'envoi d'une lettre alors que l'opération est dans l'état queued. Si l'envoi a déjà commencé, terminé ou a été annulé, un 409 est renvoyé. Vous ne pouvez pas rappeler une lettre déjà envoyée en utilisant cette méthode.
Zones d’autorisation et d’accès · Erreurs et répétitions
Demande
curl -X POST 'https://adapt-mail.com/v1/operations/<operation_id>/cancel' \ -H 'Authorization: Bearer <access_token>'Possibilités
operation_idpathNécessairementstring · uuidX-Customer-IDheader- Option 1
stringOption 2null
Réponses
200 Réponse réussie
application/json
object
cancelledboolean
401 Connexion requise
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
403 Pas d'accès
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
404 Ressource introuvable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
409 Conflit d'État
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
422 Erreur de validation
application/json
object
detailarrayÉléments du tableauobjectlocNécessairementarrayÉléments du tableauOption 1stringOption 2integermsgNécessairementstringtypeNécessairementstring
503 Indisponibilité temporaire
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject